using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.Course
{
    /// <summary>
    /// 排课方式枚举
    /// </summary>
    public enum ClassStyleEnum
    {
        /// <summary>
        /// 按周排课
        /// </summary>
        [EnumField("按周排课")]
        Week = 1,

        /// <summary>
        /// 按月排课
        /// </summary>
        [EnumField("按月排课")]
        Month = 2,

        /// <summary>
        /// 固定日期
        /// </summary>
        [EnumField("固定日期")]
        FixedDate = 3,

        /// <summary>
        /// 约课
        /// </summary>
        [EnumField("约课")]
        OnLine =4,
    }

    /// <summary>
    /// 课程状态枚举
    /// </summary>
    public enum ClassStatusEnum
    {
        /// <summary>
        /// 未开班
        /// </summary>
        [EnumField("未开班")]
        NonOpenClass =1,
        /// <学习中>
        /// 开课中
        /// </summary>
        [EnumField("学习中")]
        StudyIng =2,

        /// <summary>
        /// 结课
        /// </summary>
        [EnumField("结课")]
        EndClass = 3,

        /// <summary>
        /// 取消
        /// </summary>
        [EnumField("取消")]
        CancelClass = 4,
    }
}
